List quarantine
BillionSend extension: the inbox’s held messages, newest first, metadata only. Not for inbox-scoped keys.
GET
/inboxes/{inbox_id}/quarantineAutorização
AuthorizationToken Bearer · headerobrigatórioA BillionSend API key (bs_…).
Parâmetros de caminho
inbox_idstringobrigatórioThe inbox ID or its email address, such as support@example.com
Parâmetros de consulta
limitintegerPage size, 1-100 (default 20)
mín. 1 · máx. 100
afterstring<uuid>Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.
beforestring<uuid>Cursor: id of the first item of the current page; returns the previous page; same rule as after.
Respostas
200
Held messages
objectstringobrigatórioValores permitidos:
listhas_morebooleanobrigatóriodataobject[]obrigatórioMostrar propriedadesOcultar propriedades
Array de
objectidstring<uuid>obrigatóriothread_idstring<uuid> | nullobrigatóriofromstringobrigatóriosubjectstring | nullobrigatórioreceived_atstringobrigatórioquarantine_reasonstringobrigatórioValores permitidos:
failed_authunauthenticated_sendernot_allowlistedinjectionphishingvirusunscreenedscreening_capsender_truststringobrigatórioValores permitidos:
ownerallowlistedknown_threadexternalunauthenticatedfailedinjection_scoreinteger | nullobrigatóriophishing_scoreinteger | nullobrigatóriovirus_signaturestring | nullobrigatório401
Missing, malformed, unknown or revoked API key
statusCodenumberobrigatórionamestringobrigatóriomessagestringobrigatório403
Restricted API key
statusCodenumberobrigatórionamestringobrigatóriomessagestringobrigatório404
Inbox or cursor not found
statusCodenumberobrigatórionamestringobrigatóriomessagestringobrigatório422
Validation error
statusCodenumberobrigatórionamestringobrigatóriomessagestringobrigatório429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumberobrigatórionamestringobrigatóriomessagestringobrigatório